Subject: [rohc] Multiple Compartment Test in SigComp Torture Tests

From: Chan Kwang Mien <[email-masked]>
Date: Sun, 26 Jan 2003 23:00:02 +0800

hi,

i would like to ask about the 4.3 Multiple Compartments test in the SigComp
Torture Test.

when the compressed message is 0x00, the memory location, type initially
contains the value 512
and state is created over the memory location from 512 to 959 because of 
STATE-CREATE(448, $type, 0, 6, 0). 

my problem is that the state identifier that i obtained for this
State-Create is not any of the state identifiers indicated 
in the assembly code. the state identifier that i generated for 2.15 State
Creation test is the same as the one in the 
assembly code. 

i would like to know if it is possible to obtain the same state identifier
when it is part of the memory 
over which the state identifier is to be calculated ? for e.g. is it
possible to obtain state_identifier_a when 
state_identifier_a is part of the memory over which the state identifier is
to be generated ?

Any help is much appreciated. Thanks.

regards,
Kwang Mien

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Price, Richard" <[email-masked]>
Date: Mon, 27 Jan 2003 10:04:20 -0000

> i would like to ask about the 4.3 Multiple Compartments test 
> in the SigComp Torture Test.
> 
> when the compressed message is 0x00, the memory location, 
> type initially contains the value 512 and state is created over
> the memory location from 512 to 959 because of 

Hi Kwang Mien,

I think the problem is that STATE-CREATE uses byte copying to get
the state from the UDVM memory. Since byte_copy_left = 512 and
byte_copy_right = 519, all of the bytes in the state are copied
from the memory locations 512 up to 518 inclusive. Once address
518 is reached, the next byte must be copied from address 512.

> in the assembly code. the state identifier that i generated 
> for 2.15 State Creation test is the same as the one in the 
> assembly code. 
> 
> i would like to know if it is possible to obtain the same 
> state identifier when it is part of the memory over which the
> state identifier is to be calculated ? for e.g. is it
> possible to obtain state_identifier_a when state_identifier_a
> is part of the memory over which the state identifier is
> to be generated ?

The above would be extremely unlikely to occur since the state
identifier is a hash of the memory over which it is calculated.
However, since STATE-CREATE obeys the byte copying rules it
shouldn't get any data from memory locations 519 or above (which
is where state_identifier_a is held). So the above situation
doesn't occur in the torture test.

Hope this helps!

Regards,

Richard